Package Details: panzer-git 1.0.r14.g52bc933-1

Git Clone URL: https://aur.archlinux.org/panzer-git.git (read-only, click to copy)
Package Base: panzer-git
Description: pandoc + styles
Upstream URL: http://github.com/msprev/panzer
Licenses: unknown
Conflicts: panzer-git
Provides: panzer-git
Submitter: cadelwatson
Maintainer: cadelwatson
Last Packager: cadelwatson
Votes: 3
Popularity: 0.000000
First Submitted: 2016-09-12 10:16
Last Updated: 2016-09-12 10:19

Latest Comments

ixil commented on 2018-10-23 11:55

pkgver() should be: git describe --long | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'

edited: previously (and I assume for the others below) the backslashes before the brackets needed escaping. This incantation above should work

cadelwatson commented on 2018-05-27 21:39

@roarchero Unfortunately I no longer use Arch Linux so I can't test the change. Would you be interested in becoming the new maintainer?

roarchero commented on 2018-05-27 07:49

This is the (more) correct line: git describe --long | sed 's/^foo-//;s/([^-]*-g)/r\1/;s/-/./g'

instead of: git describe --long | sed 's/([^-]*-g)/r\1/;s/-/./g'

as explained here: https://wiki.archlinux.org/index.php/VCS_package_guidelines

roarchero commented on 2018-05-26 22:08

As said by fmoralesc: in Pamac it always shows as updatable. Please, can someone do something about it?

fmoralesc commented on 2018-01-02 12:44

If the package version starts with a 'v', some package managers will think the package will always need to be updated. Can you change the sed call 's/^v//;s/([^-]*-g)/r\1/;s/-/./g' so it removes it?